## ksysguard 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(ksysguard)
set(PROJECT_VERSION "5.20.5")

set(KSYSGUARD_VERSION 4.98.0)
set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMAddTests)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Test
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    DocTools
    I18n
    IconThemes
    Init
    ItemViews
    KIO
    NewStuff
    Notifications
    WindowSystem
)

find_package(KSysGuard REQUIRED)

find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Provides an improved backend for Network statistics"
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
#add_definitions(-DQT_NO_CAST_FROM_ASCII)
#add_definitions(-DQT_NO_CAST_TO_ASCII)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

find_package(Sensors)
set_package_properties(Sensors PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Allows to show sensor information")

find_package(libpcap)
set_package_properties(
    libpcap PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "libpcap is used for per-application network usage."
)

find_package(NL)
set_package_properties(NL PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
)
if(libpcap_FOUND AND NL_FOUND)
    set(BUILD_NETWORK_PLUGIN TRUE)
endif()

if (libpcap_FOUND)
    find_package(Libcap)
    set_package_properties(Libcap PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Needed for setting capabilities of the per-application network plugin."
    )
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)

add_subdirectory( gui )

add_subdirectory( doc )
add_subdirectory( pics )
add_subdirectory( example )

add_subdirectory( ksysguardd )

add_subdirectory(ksystemstats)
add_subdirectory(libkstats)

add_subdirectory( plugins )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== gui/CMakeLists.txt ===
include_directories(
   SensorDisplayLib/
)


########### next target ###############

add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard\")

set(libsensordisplays_SRCS
   	SensorDisplayLib/SensorDisplay.cpp
   	SensorDisplayLib/BarGraph.cpp
   	SensorDisplayLib/DancingBars.cpp
   	SensorDisplayLib/DancingBarsSettings.cpp
   	SensorDisplayLib/DummyDisplay.cpp
   	SensorDisplayLib/FancyPlotter.cpp
   	SensorDisplayLib/FancyPlotterSettings.cpp
   	SensorDisplayLib/ListView.cpp
   	SensorDisplayLib/LogFile.cpp
   	SensorDisplayLib/MultiMeter.cpp
   	SensorDisplayLib/MultiMeterSettings.cpp
   	SensorDisplayLib/ProcessController.cpp
   	SensorDisplayLib/SensorLogger.cpp
   	SensorDisplayLib/SensorLoggerDlg.cpp
   	SensorDisplayLib/SensorLoggerSettings.cpp
   	SensorDisplayLib/SensorModel.cpp
   	SensorDisplayLib/ListViewSettings.cpp
#   	SensorDisplayLib/modeltest.cpp
	)

ki18n_wrap_ui( libsensordisplays_SRCS
   SensorDisplayLib/ListViewSettingsWidget.ui
   SensorDisplayLib/LogFileSettings.ui
   SensorDisplayLib/MultiMeterSettingsWidget.ui
   SensorDisplayLib/SensorLoggerDlgWidget.ui
   SensorDisplayLib/SensorLoggerSettingsWidget.ui
)

set(ksysguard_KDEINIT_SRCS ${libsensordisplays_SRCS}
   SensorBrowser.cpp
   WorkSheet.cpp
   WorkSheetSettings.cpp
   Workspace.cpp
   HostConnector.cpp
   StyleEngine.cpp
   ksysguard.cpp )

kf5_add_kdeinit_executable(ksysguard ${ksysguard_KDEINIT_SRCS})
target_compile_definitions(kdeinit_ksysguard PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kdeinit_ksysguard
    KSysGuard::ProcessUi
    KSysGuard::SysGuard
    KSysGuard::SignalPlotter
    KF5::DBusAddons
    KF5::ItemViews
    KF5::KIOWidgets
    KF5::NewStuff
    KF5::Notifications
    KF5::I18n
    KF5::IconThemes
    KF5::WindowSystem)

install(TARGETS kdeinit_ksysguard ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS ksysguard         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.ksysguard.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.ksysguard.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( FILES ProcessTable.sgrd SystemLoad2.sgrd DESTINATION  ${KDE_INSTALL_DATADIR}/ksysguard )
install( FILES ksysguardui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/ksysguard )
install( FILES ksysguard.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== ksystemstats/CMakeLists.txt ===
set(SOURCES
    client.cpp
    ksysguarddaemon.cpp
)

set_source_files_properties("ksysguard_iface.xml"
    PROPERTIES INCLUDE "../ksysguard-backend/types.h" )
qt5_add_dbus_adaptor(SOURCES "ksysguard_iface.xml" ksysguarddaemon.h KSysGuardDaemon)

add_library(ksystemstats_core STATIC ${SOURCES})
target_link_libraries(ksystemstats_core PUBLIC Qt5::Core Qt5::DBus KF5::CoreAddons KSysGuard::StatsBackend )

add_executable(ksystemstats main.cpp)
target_link_libraries(ksystemstats ksystemstats_core)

install(TARGETS ksystemstats DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

kdbusaddons_generate_dbus_service_file(ksystemstats org.kde.ksystemstats ${KDE_INSTALL_FULL_BINDIR})

add_subdirectory(test)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== ksysguardd/Tru64/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../CContLib ${CMAKE_CURRENT_SOURCE_DIR}/../ )

add_library(libksysguardd STATIC 
            LoadAvg.c
            Memory.c
            NetDev.c)

=== ksystemstats/test/CMakeLists.txt ===
set(SOURCES
    main.cpp
)

set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/../ksysguard_iface.xml"
    PROPERTIES INCLUDE "../../libkstats/types.h" )
qt5_add_dbus_interface(SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/../ksysguard_iface.xml" kstatsiface)

add_executable(kstatsviewer ${SOURCES})
target_link_libraries(kstatsviewer Qt5::Core Qt5::DBus KSysGuard::Formatter)

install(TARGETS kstatsviewer DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/global/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_plugins_global\")
add_subdirectory(nvidia)
add_subdirectory(ksgrd)
add_subdirectory(osinfo)
add_subdirectory(network)

=== plugins/global/ksgrd/CMakeLists.txt ===
set(KSYSGUARD_KSGRD_PLUGIN_SOURCES
    ksgrdiface.cpp
)

add_library(ksysguard_ksgrd MODULE ${KSYSGUARD_KSGRD_PLUGIN_SOURCES})
target_link_libraries(ksysguard_ksgrd Qt5::Core Qt5::DBus KSysGuard::StatsBackend KSysGuard::SysGuard KF5::CoreAddons KF5::I18n)

install(TARGETS ksysguard_ksgrd DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard)

=== plugins/global/network/CMakeLists.txt ===
set(KSYSGUARD_NETWORK_PLUGIN_SOURCES
    NetworkPlugin.cpp
    NetworkDevice.cpp
    NetworkBackend.cpp
    AllDevicesObject.cpp
)

if (KF5NetworkManagerQt_FOUND)
    set(KSYSGUARD_NETWORK_PLUGIN_SOURCES ${KSYSGUARD_NETWORK_PLUGIN_SOURCES} NetworkManagerBackend.cpp)
    add_definitions(-DNETWORKMANAGER_FOUND)
endif()

add_library(ksysguard_globalplugin_network MODULE ${KSYSGUARD_NETWORK_PLUGIN_SOURCES})
target_link_libraries(ksysguard_globalplugin_network Qt5::Core Qt5::Gui Qt5::DBus KSysGuard::StatsBackend KF5::CoreAddons KF5::I18n)

if (KF5NetworkManagerQt_FOUND)
    target_link_libraries(ksysguard_globalplugin_network KF5::NetworkManagerQt)
endif()

install(TARGETS ksysguard_globalplugin_network DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard)

=== plugins/global/osinfo/CMakeLists.txt ===
set(KSYSGUARD_OSINFO_PLUGIN_SOURCES
    osinfo.cpp
)

add_library(ksysguard_plugin_osinfo MODULE ${KSYSGUARD_OSINFO_PLUGIN_SOURCES})
target_link_libraries(ksysguard_plugin_osinfo Qt5::Core Qt5::Gui Qt5::DBus KSysGuard::StatsBackend KF5::CoreAddons KF5::I18n)

install(TARGETS ksysguard_plugin_osinfo DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard)

=== plugins/process/nvidia/CMakeLists.txt ===
add_library(ksysguard_plugin_nvidia MODULE nvidia.cpp)
target_link_libraries(ksysguard_plugin_nvidia Qt5::Core KSysGuard::ProcessCore KF5::I18n KF5::CoreAddons)
install(TARGETS ksysguard_plugin_nvidia DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard/process)

=== plugins/process/network/helper/CMakeLists.txt ===

set(ksgrd_network_helper_SRCS
    main.cpp
    Capture.cpp
    Packet.cpp
    ConnectionMapping.cpp
    Accumulator.cpp
)

add_executable(ksgrd_network_helper ${ksgrd_network_helper_SRCS})
target_include_directories(ksgrd_network_helper PUBLIC ${PCAP_INCLUDE_DIR} ${NL_INCLUDE_DIRS})
target_link_libraries(ksgrd_network_helper ${PCAP_LIBRARY} ${NL_LIBRARIES})
kde_target_enable_exceptions(ksgrd_network_helper PUBLIC)
set_target_properties(ksgrd_network_helper PROPERTIES CXX_STANDARD 14 CXX_STANDARD_REQUIRED TRUE)

# Why can't CMake fix this itself?'
target_link_libraries(ksgrd_network_helper pthread)

install(TARGETS ksgrd_network_helper DESTINATION ${KDE_INSTALL_LIBEXECDIR}/ksysguard)

if (Libcap_FOUND)
    install(
        CODE "execute_process(
        COMMAND ${SETCAP_EXECUTABLE}
        CAP_NET_RAW=+ep
        \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR}/ksysguard/ksgrd_network_helper)"
    )
endif()

=== debian/changelog ===
ksysguard (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Update renamed lintian tag names in lintian overrides.
  * Build again on non-Linux architectures:
    - add the dh-exec build dependency
    - limit the libkf5networkmanagerqt-dev, and libnl-3-dev build dependencies
      as linux-any, as they exist only on Linux
    - make debian/ksysguard.install executable, and limit few files as
      linux-any
    - in ksysguard.postinst, attept the setcap only on Linux systems, as the
      helper exists only on Linux
  * Explicitly add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 23:15:11 +0100

ksysguard (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

ksysguard (4:5.20.4-3) unstable; urgency=medium

  * Build and install per process network monitoring plugin
    (thanks to Rik Mills, implementation from Ubuntu)
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 10:09:44 +0900

ksysguard (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

ksysguard (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.
  * Clean up and update lintian overrides.

  [ Aurélien COUDERC ]
  * Add build dependency to libkf5networkmanagerqt-dev according to the
    upstream build system.

  [ Pino Toscano ]
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

ksysguard (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

ksysguard (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

ksysguard (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Update copyright for appdata.xml.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:38:33 +0900

ksysguard (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Bump compat level to 13.
  * Remove not needed injection of linker flags.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Update build-deps and deps with the info from cmake.
  * Update control homepage to point to the plasma application
    page as per appstream metadata.
  * Update all upstream repo references to point to new invent.kde.org.
    - Copyright: Source
    - upstream/metadata: Repository*, Changelog.
  * Refresh install file ksysguard, wrap-and-sort.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update Qt build-deps with the info from cmake.
  * Update list of installed files.
  * Bump dep on libkfsysguard to get CMakefile snippets.
  * Disable autotests for the time being, they fail.
  * Update lintian warnings overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 07 Oct 2020 13:05:20 +0900

ksysguard (4:5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Build ksysguard also on non-Linux architectures: limit the libcap-dev,
    libcap2-bin, and libsensors-dev build dependencies as linux-any.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Feb 2020 07:56:24 +0100

ksysguard (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:55:58 +0100

ksysguard (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Drop the migration from ksysguard-dbg, no more needed after two Debian
    stable releases.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Update the build dependencies according to the upstream build system:
    - bump libkf5sysguard-dev to 5.17
    - add libcap-dev, libcap2-bin, and libpcap0.8-dev
    - remove unused libkf5kdelibs4support-dev
    - switch from libsensors4-dev to libsensors-dev (Closes: #917439)
    - explicitly add gettext
  * Update install files.
  * Unregister ksysguard.knsrc as conffile, as it is no more in /etc.
  * There are no unit tests to run, so:
    - drop the xauth, and xvfb build dependencies
    - stop running dh_auto_test with xvfb-run
  * Bump Standards-Version to 4.4.1, no changes required.
  * Stop using the ${shlibs:Depends} substvar in ksysguard-data, as it does not
    exist.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2020 08:27:32 +0100

=== debian/control ===
Source: ksysguard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 5.74~),
               gettext,
               kinit-dev (>= 5.74~),
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf5config-dev (>= 5.74~),
               libkf5coreaddons-dev (>= 5.74~),
               libkf5dbusaddons-dev (>= 5.74~),
               libkf5doctools-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5iconthemes-dev (>= 5.74~),
               libkf5itemviews-dev (>= 5.74~),
               libkf5kio-dev (>= 5.74~),
               libkf5networkmanagerqt-dev (>= 5.74~) [linux-any],
               libkf5newstuff-dev (>= 5.74~),
               libkf5notifications-dev (>= 5.74~),
               libkf5sysguard-dev (>= 4:5.19~),
               libkf5windowsystem-dev (>= 5.74~),
               libnl-3-dev [linux-any],
               libpcap0.8-dev,
               libsensors-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.1
Homepage: https://www.kde.org/applications/system/ksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksysguard.git
Rules-Requires-Root: no

Package: ksysguard
Architecture: any
Depends: ksysguard-data (= ${source:Version}),
         ksysguardd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: process monitor and system statistics
 System Guard allows you to monitor various statistics about your system.
 .
 In addition to monitoring the local system, it can connect to remote systems
 running the System Guard Daemon, which is in the 'ksysguardd' package.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard-data
Architecture: all
Depends: ${misc:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 Currently the daemon has been ported to Linux, FreeBSD, Irix, NetBSD,
 OpenBSD, Solaris and Tru64 with varying degrees of completion.
 .
 This package contains the locale files

Package: ksysguardd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System Guard Daemon
 System Guard Daemon can be installed on a remote system so that the KDE
 System Guard can connect to and monitor it.
 .
 This package is part of the KDE base workspace module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	    debian/ksysguard.postinst.in > debian/ksysguard.postinst
	dh_installdeb

## ksysguard 5.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(ksysguard)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.21.4")
 
 set(KSYSGUARD_VERSION 4.98.0)
 set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -38,6 +38,7 @@
     KIO
     NewStuff
     Notifications
+    Solid
     WindowSystem
 )
 
@@ -67,19 +68,22 @@
                        TYPE OPTIONAL
                        PURPOSE "Allows to show sensor information")
 
-find_package(libpcap)
-set_package_properties(
-    libpcap PROPERTIES
-    TYPE RECOMMENDED
-    PURPOSE "libpcap is used for per-application network usage."
-)
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    find_package(NL)
+    set_package_properties(NL PROPERTIES
+        TYPE REQUIRED
+        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem and for the network plugin when NetworkManagerQt is not available."
+        URL "https://github.com/thom311/libnl/"
+    )
+    find_package(libpcap)
+    set_package_properties(
+        libpcap PROPERTIES
+        TYPE RECOMMENDED
+        PURPOSE "libpcap is used for per-application network usage."
+    )
+endif()
 
-find_package(NL)
-set_package_properties(NL PROPERTIES
-    TYPE RECOMMENDED
-    PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
-)
-if(libpcap_FOUND AND NL_FOUND)
+if(libpcap_FOUND )
     set(BUILD_NETWORK_PLUGIN TRUE)
 endif()
 
@@ -90,6 +94,13 @@
         PURPOSE "Needed for setting capabilities of the per-application network plugin."
     )
 endif()
+
+find_package(UDev)
+set_package_properties(
+    UDev PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "UDev is used for finding graphics cards."
+)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)

=== debian/changelog ===
ksysguard (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:34 +0100

ksysguard (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:33 +0000

ksysguard (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:30 +0000

ksysguard (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:03 +0000

ksysguard (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:45 +0000

ksysguard (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:47 +0000

=== debian/control ===
--- 
+++ 
@@ -24,14 +24,17 @@
                libkf5networkmanagerqt-dev (>= 5.74~) [linux-any],
                libkf5newstuff-dev (>= 5.74~),
                libkf5notifications-dev (>= 5.74~),
-               libkf5sysguard-dev (>= 4:5.19~),
+               libkf5solid-dev (>= 5.74~),
+               libkf5sysguard-dev (>= 4:5.21.4~),
                libkf5windowsystem-dev (>= 5.74~),
                libnl-3-dev [linux-any],
+               libnl-route-3-dev,
                libpcap0.8-dev,
                libsensors-dev [linux-any],
+               libudev-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.15.0~)
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://www.kde.org/applications/system/ksysguard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksysguard

## ksysguard 5.22.0

=== debian/changelog ===
ksysguard (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.00)
  * Update build depends.
  * Update install files.
  * Drop ksysguard.postinst.in as ksgrd_network_helper is now in
    libkf5sysguard-bin.
  * Update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 17:03:56 +0100

ksysguard (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,29 +8,29 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                dh-exec,
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82~),
                gettext,
-               kinit-dev (>= 5.74~),
-               libcap-dev [linux-any],
-               libcap2-bin [linux-any],
-               libkf5config-dev (>= 5.74~),
-               libkf5coreaddons-dev (>= 5.74~),
-               libkf5dbusaddons-dev (>= 5.74~),
-               libkf5doctools-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5iconthemes-dev (>= 5.74~),
-               libkf5itemviews-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5networkmanagerqt-dev (>= 5.74~) [linux-any],
-               libkf5newstuff-dev (>= 5.74~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5solid-dev (>= 5.74~),
-               libkf5sysguard-dev (>= 4:5.21.4~),
-               libkf5windowsystem-dev (>= 5.74~),
-               libnl-3-dev [linux-any],
+               kinit-dev (>= 5.82~),
+               libcap-dev,
+               libcap2-bin,
+               libkf5config-dev (>= 5.82~),
+               libkf5coreaddons-dev (>= 5.82~),
+               libkf5dbusaddons-dev (>= 5.82~),
+               libkf5doctools-dev (>= 5.82~),
+               libkf5i18n-dev (>= 5.82~),
+               libkf5iconthemes-dev (>= 5.82~),
+               libkf5itemviews-dev (>= 5.82~),
+               libkf5kio-dev (>= 5.82~),
+               libkf5networkmanagerqt-dev (>= 5.82~),
+               libkf5newstuff-dev (>= 5.82~),
+               libkf5notifications-dev (>= 5.82~),
+               libkf5solid-dev (>= 5.82~),
+               libkf5sysguard-dev (>= 4:5.21.90~),
+               libkf5windowsystem-dev (>= 5.82~),
+               libnl-3-dev,
                libnl-route-3-dev,
                libpcap0.8-dev,
-               libsensors-dev [linux-any],
+               libsensors-dev,
                libudev-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ksysguard/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
